DatabaseError(3)

NAME
DatabaseError - Custom Database Error derived from QSqlError. Extends text() adding 'Database Error: ' before the text. Errors that are related to SQL are assigned their respective error codes. Errors that occur with data in the database are handled with the error code 'opl' and QSqlError::UnknownError.

SYNOPSIS

#include <database.h>

Inherits QSqlError.

  Public Member Functions
DatabaseError (QString msg)
QString text () const
DatabaseError (QSqlError)

Detailed Description

Custom Database Error derived from QSqlError. Extends text() adding 'Database Error: ' before the text. Errors that are related to SQL are assigned their respective error codes. Errors that occur with data in the database are handled with the error code 'opl' and QSqlError::UnknownError.

Author

Generated automatically by Doxygen for openPilotLog from the source code.